﻿<?xml version="1.0" encoding="utf-8" standalone="no" ?>
<vehicle type="tractor">
    <name>
        <en>Ford F650</en>
        <de>Ford F650</de>
    </name>
    <filename>textures/ford650.dae</filename>
    <numWheels>4</numWheels>
    <wheels autoRotateBackSpeed="2">
        <wheel rotSpeed="70" restLoad="5.35" repr="0>0" forcePointRatio="0.2" driveNode="0>0"   radius="0.55" width="0.42" initialCompression="50" suspTravel="0.2" spring="30" damper="20"                       maxLatStiffness="20" mass="5" hasTyreTracks="true" tyreTrackAtlasIndex="1" tireType="street" />
        <wheel rotSpeed="70" restLoad="5.22" repr="0>1" forcePointRatio="0.2" driveNode="0>1"   radius="0.55" width="0.42" initialCompression="50" suspTravel="0.2" spring="30" damper="20"                       maxLatStiffness="20" mass="5" hasTyreTracks="true" tyreTrackAtlasIndex="1" tireType="street" />
        <wheel rotSpeed="0" restLoad="5.89" repr="0>2" forcePointRatio="0.3"  driveNode="0>2"  radius="0.55" width="0.52" initialCompression="50" suspTravel="0.2" spring="30" damper="20" maxLongStiffness="10" maxLatStiffness="40" mass="5" hasTyreTracks="true" tyreTrackAtlasIndex="1" tireType="street" />
        <wheel rotSpeed="0" restLoad="6.04" repr="0>3" forcePointRatio="0.3"  driveNode="0>3"  radius="0.55" width="0.52" initialCompression="50" suspTravel="0.2" spring="30" damper="20" maxLongStiffness="10" maxLatStiffness="40" mass="5" hasTyreTracks="true" tyreTrackAtlasIndex="1" tireType="street" />
    </wheels>
	
	<ackermannSteering rotSpeed="60" rotMax="47" rotCenterWheel1="3" rotCenterWheel2="4" />
	
	<differentials>
        <differential torqueRatio="0.5" maxSpeedRatio="1.3" wheelIndex1="0" wheelIndex2="1" /> <!-- front left-right -->
	</differentials>
	
    <motor torqueScale="5.075" minRpm="1000" maxRpm="4500" maxBackwardSpeed="15" brakeForce="20" lowBrakeForceScale="0.22" lowBrakeForceSpeedLimit="1" minForwardGearRatio="13.5" maxForwardGearRatio="230" minBackwardGearRatio="50" maxBackwardGearRatio="130">
        <torque normRpm="0.45" torque="0.5"/>
        <torque normRpm="0.5" torque="0.6"/>
        <torque normRpm="0.59" torque="0.7"/>
        <torque normRpm="0.72" torque="1"/>
        <torque normRpm="0.86" torque="0.88"/>
        <torque normRpm="1" torque="0.7"/>
    </motor>

    <fuelCapacity>1325</fuelCapacity>
    <fuelUsage>242</fuelUsage>
    
	
    <cameras count="2">
        <camera1 index="0>9|0" rotatable="true" rotateNode="0>9" limit="true" useWorldXZRotation="true" rotMinX="-1.4" rotMaxX="0" transMin="4" transMax="40" />
        <camera2 index="0>10" rotatable="true" limit="false" rotMinX="0" rotMaxX="0" transMin="0" transMax="0" />
    </cameras>
	
	<!--steering index="23|0" rotationSpeed="10"/-->
		
	<lights>
        <light realLight="0>20|0" decoration="0>20|1" lightType="0"/>
	</lights>
	
	<brakeLights>
		<brakeLight index="0>20|2" />
	</brakeLights>
	
	<turnSignals>
        <turnSignalLeft index="0>20|4|0" />
        <turnSignalRight index="0>20|4|1" />
    </turnSignals>

    <reverseLights>
        <reverseLight index="0>20|3" />
    </reverseLights>
	
	<indoorHud>
        <speed animName="speedDisplay" />
        <rpm animName="rpmDisplay" />
		<fuel animName="fuelDisplay" />
    </indoorHud>
	
	<animations>
        <animation name="speedDisplay">
            <part node="0>14|1" startTime="0" endTime="1" startRot="0 0 0" endRot="0 0 -107" />
        </animation>
        <animation name="rpmDisplay">
            <part node="0>14|0" startTime="0" endTime="1" startRot="0 0 0" endRot="0 0 -250" />
        </animation>
        <animation name="fuelDisplay">
            <part node="0>14|2" startTime="0" endTime="1" startRot="0 0 0" endRot="0 0 -90" />
        </animation>
    </animations>
	
	<attacherJoints>
        <attacherJoint index="0>19|0" jointType="trailerLow" allowsJointLimitMovement="false" allowsLowering="false" maxRotLimit="10 80 50" maxTransLimit="0 0 0" canTurnOnImplement="true" />
		<attacherJoint index="0>19|0" jointType="trailer" allowsJointLimitMovement="false" allowsLowering="false" maxRotLimit="10 80 50" maxTransLimit="0 0 0" canTurnOnImplement="true" />
    </attacherJoints>
	
	<exhaustEffects>
    	<exhaustEffect index="0>17" filename="$data/vehicles/particleAnimations/shared/exhaust.i3d" minRpmColor="0 0 0 1" maxRpmColor="0 0 0 10" minRpmScale="0.2" maxRpmScale="0.5" forwardXRotations="-100 0 -50" forwardZRotations="330 0 -50" steerXRotations="0 0 0" steerZRotations="-100 0 200" />
	</exhaustEffects>

    <enterReferenceNode index="0>" />	
    <exitPoint index="11" />
	
	<motorStartSound file="sounds/f350_start.wav" pitchOffset="0.8" volume="2.5" />
    <motorSound file="sounds/f350_Idle.wav" pitchOffset="0.8" pitchScale="0.025" pitchMax="4.025" volume="2.5" radius="20" innerRadius="20" />
    <motorSoundRun file="sounds/f350_3000.wav" pitchOffset="0.4" pitchScale="0.033" pitchMax="6.75" volume="2.5" radius="30" innerRadius="10" />
    <motorStopSound file="sounds/f350_stop.wav" pitchOffset="0.8" volume="2.5" />
	<reverseDriveSound file="sounds/reverseDrivingBeep.wav" volume="0.5" radius="30" innerRadius="10"/>	
	<honkSound file="sounds/horn.wav" volume="1" radius="80" innerRadius="35" />
	<attachSound file="sounds/attach.wav" pitchOffset="1" />

    <characterNode index="12" cameraMinDistance="1.5" />
    <aiTrafficCollisionTrigger index="13" />
	
	<driveGroundParticleSystems>
        <driveGroundParticleSystem file="$data/vehicles/particleAnimations/shared/drivingParticleSystem.i3d" wheel="1" />
        <driveGroundParticleSystem file="$data/vehicles/particleAnimations/shared/drivingParticleSystem.i3d" wheel="2" />
        <driveGroundParticleSystem file="$data/vehicles/particleAnimations/shared/drivingParticleSystem.i3d" wheel="3" />
        <driveGroundParticleSystem file="$data/vehicles/particleAnimations/shared/drivingParticleSystem.i3d" wheel="4" />
    </driveGroundParticleSystems>
	
    <components count="1">
        <component1 centerOfMass="1.40 0.0 -3.62" solverIterationCount="6" />
    </components>
	
	<schemaOverlay file="$dataS2/menu/schemas/vehicleSchema.png" fileSelected="$dataS2/menu/schemas/vehicleSchemaSelected.png" width="0.5" height="0.5" attacherJointPosition="0.5 0">
        <attacherJoint position="1 0" rotation="0" invertX="false" />
    </schemaOverlay>
	
</vehicle>
